## spirv-cross 2021.01.15

=== Makefile ===
TARGET := spirv-cross

SOURCES := $(wildcard spirv_*.cpp)
CLI_SOURCES := main.cpp

OBJECTS := $(SOURCES:.cpp=.o)
CLI_OBJECTS := $(CLI_SOURCES:.cpp=.o)

STATIC_LIB := lib$(TARGET).a

DEPS := $(OBJECTS:.o=.d) $(CLI_OBJECTS:.o=.d)

CXXFLAGS += -std=c++11 -Wall -Wextra -Wshadow -Wno-deprecated-declarations

ifeq ($(DEBUG), 1)
	CXXFLAGS += -O0 -g
else
	CXXFLAGS += -O2 -DNDEBUG
endif

ifeq ($(SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS), 1)
	CXXFLAGS += -DSPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS -fno-exceptions
endif

all: $(TARGET)

-include $(DEPS)

$(TARGET): $(CLI_OBJECTS) $(STATIC_LIB)
	$(CXX) -o $@ $(CLI_OBJECTS) $(STATIC_LIB) $(LDFLAGS)

$(STATIC_LIB): $(OBJECTS)
	$(AR) rcs $@ $(OBJECTS)

%.o: %.cpp
	$(CXX) -c -o $@ $< $(CXXFLAGS) -MMD

clean:
	rm -f $(TARGET) $(OBJECTS) $(CLI_OBJECTS) $(STATIC_LIB) $(DEPS)

.PHONY: clean

=== debian/changelog ===
spirv-cross (2021.01.15-5) unstable; urgency=medium

  * Add myself as co-maintainer
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat to 13
  * Build static libraries with -fPIC (Closes: #1004442)

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Feb 2022 22:52:22 +0100

spirv-cross (2021.01.15-4) unstable; urgency=medium

  * Install static libraries in libspirv-cross-c-shared-dev (Closes: #996891)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 Oct 2021 21:49:43 +0200

spirv-cross (2021.01.15-3) unstable; urgency=medium

  * Remove Multi-Arch for libspirv-cross-c-shared-dev,
      suggested by Multi-Arch hinter
  * Add d/gbp.conf
  * Fix d/watch
  * Add patch to make the build reproducible (Closes: #992773)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Aug 2021 14:57:58 +0200

spirv-cross (2021.01.15-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Aug 2021 14:56:36 +0200

spirv-cross (2021.01.15-1) unstable; urgency=medium

  * Initial release (Closes: #890471)
  * Improve d/copyright according to the ftpmasters' comments.
  * Move maintenance under the X Strike Force umbrella.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Aug 2021 15:09:52 +0200

=== debian/control ===
Source: spirv-cross
Section: utils
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>, Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake
Standards-Version: 4.6.0
Homepage: https://github.com/KhronosGroup/SPIRV-Cross
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-cross.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-cross
Rules-Requires-Root: no

Package: spirv-cross
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool designed for parsing and converting SPIR-V to other shader languages
 SPIRV-Cross is a tool designed for parsing and converting SPIR-V to other
 shader languages:
  * Convert SPIR-V to readable, usable and efficient GLSL
  * Convert SPIR-V to readable, usable and efficient MSL
  * Convert SPIR-V to readable, usable and efficient HLSL
  * Reflection API to simplify the creation of Vulkan pipeline layouts
  * Reflection API to modify and tweak OpDecorations
  * Supports "all" of vertex, fragment, tessellation, geometry and
      compute shaders

Package: libspirv-cross-c-shared0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tool designed for parsing and converting SPIR-V (shared library)
 SPIRV-Cross is a tool designed for parsing and converting SPIR-V to other
 shader languages:
  * Convert SPIR-V to readable, usable and efficient GLSL
  * Convert SPIR-V to readable, usable and efficient MSL
  * Convert SPIR-V to readable, usable and efficient HLSL
  * Reflection API to simplify the creation of Vulkan pipeline layouts
  * Reflection API to modify and tweak OpDecorations
  * Supports "all" of vertex, fragment, tessellation, geometry and
      compute shaders
 .
 This package provides the shared library.

Package: libspirv-cross-c-shared-dev
Architecture: any
Section: libdevel
Depends: libspirv-cross-c-shared0 (= ${binary:Version}),
         ${misc:Depends}
Description: tool designed for parsing and converting SPIR-V (development files)
 SPIRV-Cross is a tool designed for parsing and converting SPIR-V to other
 shader languages:
  * Convert SPIR-V to readable, usable and efficient GLSL
  * Convert SPIR-V to readable, usable and efficient MSL
  * Convert SPIR-V to readable, usable and efficient HLSL
  * Reflection API to simplify the creation of Vulkan pipeline layouts
  * Reflection API to modify and tweak OpDecorations
  * Supports "all" of vertex, fragment, tessellation, geometry and
      compute shaders
 .
 This package provides the development files for libspirv-cross-c-shared.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSPIRV_CROSS_SHARED=ON \
		-DSPIRV_CROSS_FORCE_PIC=ON \
		-DSPIRV_CROSS_CLI=ON \
		-DSPIRV_CROSS_ENABLE_TESTS=OFF

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/KhronosGroup-$1\.tar\.gz/,uversionmangle=s/-/\./g" \
  https://github.com/KhronosGroup/SPIRV-Cross/tags .*/v?(\d\S+)\.tar\.gz

## spirv-cross 2021.01.15%2B1.3.239.0

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/spirv-cross-$1\.tar\.gz/,uversionmangle=s/(\d\S+)/2021.01.15\+$1/ \
  https://github.com/KhronosGroup/SPIRV-Cross/tags (?:.*?/)sdk[_-](\d[\d.]*)\.tar\.gz

## spirv-cross 2021.01.15%2B1.4.321.0

=== debian/changelog ===
spirv-cross (2021.01.15+1.4.321.0-1) unstable; urgency=medium

  * New upstream release: vulkan-sdk-1.4.321.0
  * Bump Standards-Version to 4.7.2
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Aug 2025 07:51:20 +0200

spirv-cross (2021.01.15+1.4.304.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Mar 2025 17:19:30 +0100

spirv-cross (2021.01.15+1.4.304.1-1) experimental; urgency=medium

  * New upstream release: vulkan-sdk-1.4.304.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 17:07:05 +0100

spirv-cross (2021.01.15+1.3.290.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.0
  * Set debian-branch in gbp.conf to debian-unstable

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Sep 2024 22:02:20 +0200

spirv-cross (2021.01.15+1.3.290.0-1) experimental; urgency=medium

  * New upstream release: vulkan-sdk-1.3.290.0
  * Update d/watch to track tags like vulkan-sdk-*
  * Set debian-branch in gbp.conf to debian-experimental

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Sep 2024 22:05:49 +0200

spirv-cross (2021.01.15+1.3.239.0-1) unstable; urgency=medium

  * New upstream release: sdk-1.3.239.0
  * Fix debian/watch

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Feb 2023 09:33:02 +0100

spirv-cross (2021.01.15+1.3.236.0-1) unstable; urgency=medium

  * New upstream release: sdk-1.3.236.0
  * Update d/watch to reflect new upstream tags versioning
  * Bump Standards-Version to 4.6.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Jan 2023 22:09:47 +0100

spirv-cross (2021.01.15-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Timo Röhling ]
  * Bump Standards-Version to 4.6.1
  * Enable hardening flags
  * Add repository info to d/upstream/metadata
  * Refactor package descriptions

 -- Timo Röhling <roehling@debian.org>  Mon, 17 Oct 2022 22:24:34 +0200

## spirv-cross 2021.01.15%2B1.4.328.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright 2016-2021 The Khronos Group Inc.
+# SPDX-License-Identifier: Apache-2.0
+
 TARGET := spirv-cross
 
 SOURCES := $(wildcard spirv_*.cpp)
@@ -22,6 +25,9 @@
 	CXXFLAGS += -DSPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS -fno-exceptions
 endif
 
+# This only builds CLI, so get extra coverage for the override.
+CXXFLAGS += -DSPIRV_CROSS_SPV_HEADER_NAMESPACE_OVERRIDE=spv_private
+
 all: $(TARGET)
 
 -include $(DEPS)

## spirv-cross 2021.01.15+1.3.236.0

=== CMakeLists.txt ===
# Copyright 2016-2021 Google Inc.
# SPDX-License-Identifier: Apache-2.0 OR MIT
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#
# At your option, you may choose to accept this material under either:
#  1. The Apache License, Version 2.0, found at <http://www.apache.org/licenses/LICENSE-2.0>, or
#  2. The MIT License, found at <http://opensource.org/licenses/MIT>.
#

cmake_minimum_required(VERSION 3.0)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_EXTENSIONS OFF)

# Avoid a warning if parent project sets VERSION in project().
if (${CMAKE_VERSION} VERSION_GREATER "3.0.1")
	cmake_policy(SET CMP0048 NEW)
endif()

project(SPIRV-Cross LANGUAGES CXX C)
enable_testing()

include(GNUInstallDirs)

option(SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS "Instead of throwing exceptions assert" OFF)
option(SPIRV_CROSS_SHARED "Build the C API as a single shared library." OFF)
option(SPIRV_CROSS_STATIC "Build the C and C++ API as static libraries." ON)
option(SPIRV_CROSS_CLI "Build the CLI binary. Requires SPIRV_CROSS_STATIC." ON)
option(SPIRV_CROSS_ENABLE_TESTS "Enable SPIRV-Cross tests." ON)

option(SPIRV_CROSS_ENABLE_GLSL "Enable GLSL support." ON)
option(SPIRV_CROSS_ENABLE_HLSL "Enable HLSL target support." ON)
option(SPIRV_CROSS_ENABLE_MSL "Enable MSL target support." ON)
option(SPIRV_CROSS_ENABLE_CPP "Enable C++ target support." ON)
option(SPIRV_CROSS_ENABLE_REFLECT "Enable JSON reflection target support." ON)
option(SPIRV_CROSS_ENABLE_C_API "Enable C API wrapper support in static library." ON)
option(SPIRV_CROSS_ENABLE_UTIL "Enable util module support." ON)

option(SPIRV_CROSS_SANITIZE_ADDRESS "Sanitize address" OFF)
option(SPIRV_CROSS_SANITIZE_MEMORY "Sanitize memory" OFF)
option(SPIRV_CROSS_SANITIZE_THREADS "Sanitize threads" OFF)
option(SPIRV_CROSS_SANITIZE_UNDEFINED "Sanitize undefined" OFF)

option(SPIRV_CROSS_NAMESPACE_OVERRIDE "" "Override the namespace used in the C++ API.")
option(SPIRV_CROSS_FORCE_STL_TYPES "Force use of STL types instead of STL replacements in certain places. Might reduce performance." OFF)

option(SPIRV_CROSS_SKIP_INSTALL "Skips installation targets." OFF)

option(SPIRV_CROSS_WERROR "Fail build on warnings." OFF)
option(SPIRV_CROSS_MISC_WARNINGS "Misc warnings useful for Travis runs." OFF)

option(SPIRV_CROSS_FORCE_PIC "Force position-independent code for all targets." OFF)

if(${CMAKE_GENERATOR} MATCHES "Makefile")
	if(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
		message(FATAL_ERROR "Build out of tree to avoid overwriting Makefile")
	endif()
endif()

set(spirv-compiler-options "")
set(spirv-compiler-defines "")
set(spirv-cross-link-flags "")

message(STATUS "SPIRV-Cross: Finding Git version for SPIRV-Cross.")
set(spirv-cross-build-version "unknown")
find_package(Git)
if (GIT_FOUND)
	execute_process(
		COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		OUTPUT_VARIABLE spirv-cross-build-version
		ERROR_QUIET
		OUTPUT_STRIP_TRAILING_WHITESPACE
		)
	message(STATUS "SPIRV-Cross: Git hash: ${spirv-cross-build-version}")
else()
	message(STATUS "SPIRV-Cross: Git not found, using unknown build version.")
endif()

string(TIMESTAMP spirv-cross-timestamp)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/gitversion.in.h ${CMAKE_CURRENT_BINARY_DIR}/gitversion.h @ONLY)

if (SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS)
	set(spirv-compiler-defines ${spirv-compiler-defines} SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS)
	if (NOT MSVC)
		set(spirv-compiler-options ${spirv-compiler-options} -fno-exceptions)
	endif()
endif()

if (SPIRV_CROSS_FORCE_STL_TYPES)
	set(spirv-compiler-defines ${spirv-compiler-defines} SPIRV_CROSS_FORCE_STL_TYPES)
endif()

if (WIN32)
	set(CMAKE_DEBUG_POSTFIX "d")
endif()

if (CMAKE_COMPILER_IS_GNUCXX OR ((${CMAKE_CXX_COMPILER_ID} MATCHES "Clang") AND NOT MSVC))
	set(spirv-compiler-options ${spirv-compiler-options} -Wall -Wextra -Wshadow -Wno-deprecated-declarations)
	if (SPIRV_CROSS_MISC_WARNINGS)
		if (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
			set(spirv-compiler-options ${spirv-compiler-options} -Wshorten-64-to-32)
		endif()
	endif()
	if (SPIRV_CROSS_WERROR)
		set(spirv-compiler-options ${spirv-compiler-options} -Werror)
	endif()

	if (SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS)
		set(spirv-compiler-options ${spirv-compiler-options} -fno-exceptions)
	endif()

	if (SPIRV_CROSS_SANITIZE_ADDRESS)
		set(spirv-compiler-options ${spirv-compiler-options} -fsanitize=address)
		set(spirv-cross-link-flags "${spirv-cross-link-flags} -fsanitize=address")
	endif()

	if (SPIRV_CROSS_SANITIZE_UNDEFINED)
		set(spirv-compiler-options ${spirv-compiler-options} -fsanitize=undefined)
		set(spirv-cross-link-flags "${spirv-cross-link-flags} -fsanitize=undefined")
	endif()

	if (SPIRV_CROSS_SANITIZE_MEMORY)
		set(spirv-compiler-options ${spirv-compiler-options} -fsanitize=memory)
		set(spirv-cross-link-flags "${spirv-cross-link-flags} -fsanitize=memory")
	endif()

	if (SPIRV_CROSS_SANITIZE_THREADS)
		set(spirv-compiler-options ${spirv-compiler-options} -fsanitize=thread)
		set(spirv-cross-link-flags "${spirv-cross-link-flags} -fsanitize=thread")
	endif()
elseif (MSVC)
	# AppVeyor spuriously fails in debug build on older MSVC without /bigobj.
	set(spirv-compiler-options ${spirv-compiler-options} /wd4267 /wd4996 $<$<CONFIG:DEBUG>:/bigobj>)
endif()

macro(extract_headers out_abs file_list)
	set(${out_abs}) # absolute paths
	foreach(_a ${file_list})
		# get_filename_component only returns the longest extension, so use a regex
		string(REGEX REPLACE ".*\\.(h|hpp)" "\\1" ext ${_a})

		# For shared library, we are only interested in the C header.
		if (SPIRV_CROSS_STATIC)
			if(("${ext}" STREQUAL "h") OR ("${ext}" STREQUAL "hpp"))
				list(APPEND ${out_abs} "${_a}")
			endif()
		else()
			if("${ext}" STREQUAL "h")
				list(APPEND ${out_abs} "${_a}")
			endif()
		endif()
	endforeach()
endmacro()

macro(spirv_cross_add_library name config_name library_type)
	add_library(${name} ${library_type} ${ARGN})
	extract_headers(hdrs "${ARGN}")
	target_include_directories(${name} PUBLIC
			$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
			$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/spirv_cross>)
	set_target_properties(${name} PROPERTIES
			PUBLIC_HEADERS "${hdrs}")
	if (SPIRV_CROSS_FORCE_PIC)
		set_target_properties(${name} PROPERTIES POSITION_INDEPENDENT_CODE ON)
	endif()
	target_compile_options(${name} PRIVATE ${spirv-compiler-options})
	target_compile_definitions(${name} PRIVATE ${spirv-compiler-defines})
	if (SPIRV_CROSS_NAMESPACE_OVERRIDE)
		if (${library_type} MATCHES "STATIC")
			target_compile_definitions(${name} PUBLIC SPIRV_CROSS_NAMESPACE_OVERRIDE=${SPIRV_CROSS_NAMESPACE_OVERRIDE})
		else()
			target_compile_definitions(${name} PRIVATE SPIRV_CROSS_NAMESPACE_OVERRIDE=${SPIRV_CROSS_NAMESPACE_OVERRIDE})
		endif()
	endif()

	if (NOT SPIRV_CROSS_SKIP_INSTALL)
		install(TARGETS ${name}
			EXPORT ${config_name}Config
			RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
			PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/spirv_cross)
		install(FILES ${hdrs} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/spirv_cross)
		install(EXPORT ${config_name}Config DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${config_name}/cmake)
		export(TARGETS ${name} FILE ${config_name}Config.cmake)
	endif()
endmacro()

set(spirv-cross-core-sources
		${CMAKE_CURRENT_SOURCE_DIR}/GLSL.std.450.h
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_common.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_containers.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_error_handling.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_parser.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_parser.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_parsed_ir.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_parsed_ir.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cfg.hpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cfg.cpp)

set(spirv-cross-c-sources
		spirv.h
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_c.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_c.h)

set(spirv-cross-glsl-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_glsl.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_glsl.hpp)

set(spirv-cross-cpp-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cpp.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cpp.hpp)

set(spirv-cross-msl-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_msl.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_msl.hpp)

set(spirv-cross-hlsl-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_hlsl.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_hlsl.hpp)

set(spirv-cross-reflect-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_reflect.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_reflect.hpp)

set(spirv-cross-util-sources
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.hpp)

if (SPIRV_CROSS_STATIC)
	spirv_cross_add_library(spirv-cross-core spirv_cross_core STATIC
			${spirv-cross-core-sources})

	if (SPIRV_CROSS_ENABLE_GLSL)
		spirv_cross_add_library(spirv-cross-glsl spirv_cross_glsl STATIC
				${spirv-cross-glsl-sources})
		target_link_libraries(spirv-cross-glsl PRIVATE spirv-cross-core)
	endif()

	if (SPIRV_CROSS_ENABLE_CPP)
		spirv_cross_add_library(spirv-cross-cpp spirv_cross_cpp STATIC
				${spirv-cross-cpp-sources})

		if (SPIRV_CROSS_ENABLE_GLSL)
			target_link_libraries(spirv-cross-cpp PRIVATE spirv-cross-glsl)
		else()
			message(FATAL_ERROR "Must enable GLSL support to enable C++ support.")
		endif()
	endif()

	if (SPIRV_CROSS_ENABLE_REFLECT)
		if (SPIRV_CROSS_ENABLE_GLSL)
			spirv_cross_add_library(spirv-cross-reflect spirv_cross_reflect STATIC
					${spirv-cross-reflect-sources})
		else()
			message(FATAL_ERROR "Must enable GLSL support to enable JSON reflection support.")
		endif()
	endif()

	if (SPIRV_CROSS_ENABLE_MSL)
		spirv_cross_add_library(spirv-cross-msl spirv_cross_msl STATIC
				${spirv-cross-msl-sources})
		if (SPIRV_CROSS_ENABLE_GLSL)
			target_link_libraries(spirv-cross-msl PRIVATE spirv-cross-glsl)
		else()
			message(FATAL_ERROR "Must enable GLSL support to enable MSL support.")
		endif()
	endif()

	if (SPIRV_CROSS_ENABLE_HLSL)
		spirv_cross_add_library(spirv-cross-hlsl spirv_cross_hlsl STATIC
				${spirv-cross-hlsl-sources})
		if (SPIRV_CROSS_ENABLE_GLSL)
			target_link_libraries(spirv-cross-hlsl PRIVATE spirv-cross-glsl)
		else()
			message(FATAL_ERROR "Must enable GLSL support to enable HLSL support.")
		endif()
	endif()

	if (SPIRV_CROSS_ENABLE_UTIL)
		spirv_cross_add_library(spirv-cross-util spirv_cross_util STATIC
				${spirv-cross-util-sources})
		target_link_libraries(spirv-cross-util PRIVATE spirv-cross-core)
	endif()

	if (SPIRV_CROSS_ENABLE_C_API)
		spirv_cross_add_library(spirv-cross-c spirv_cross_c STATIC
				${spirv-cross-c-sources})
		target_include_directories(spirv-cross-c PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
		target_compile_definitions(spirv-cross-c PRIVATE HAVE_SPIRV_CROSS_GIT_VERSION)

		if (SPIRV_CROSS_ENABLE_GLSL)
			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-glsl)
			target_compile_definitions(spirv-cross-c PRIVATE SPIRV_CROSS_C_API_GLSL=1)
		endif()

		if (SPIRV_CROSS_ENABLE_HLSL)
			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-hlsl)
			target_compile_definitions(spirv-cross-c PRIVATE SPIRV_CROSS_C_API_HLSL=1)
		endif()

		if (SPIRV_CROSS_ENABLE_MSL)
			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-msl)

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/spirv-cross-$1\.tar\.gz/,dversionmangle=s/2021.01.15\+//,uversionmangle=s/(\d\S+)/2021.01.15\+$1/ \
  https://github.com/KhronosGroup/SPIRV-Cross/tags (?:.*?/)sdk[_-](\d[\d.]*)\.tar\.gz

## spirv-cross 2021.01.15+1.3.239.0

=== debian/changelog ===
spirv-cross (2021.01.15+1.3.239.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:36 +0200

=== debian/control ===
Source: spirv-cross
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>, Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake
Standards-Version: 4.6.2
Homepage: https://github.com/KhronosGroup/SPIRV-Cross
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-cross.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-cross
Rules-Requires-Root: no
Description: Convert SPIR-V to other shader languages
 SPIRV-Cross is a tool designed for parsing and converting SPIR-V to other
 shader languages:
  * Convert SPIR-V to readable, usable and efficient GLSL
  * Convert SPIR-V to readable, usable and efficient MSL
  * Convert SPIR-V to readable, usable and efficient HLSL
  * Reflection API to simplify the creation of Vulkan pipeline layouts
  * Reflection API to modify and tweak OpDecorations
  * Supports "all" of vertex, fragment, tessellation, geometry and
      compute shaders

Package: spirv-cross
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (CLI tool)
 ${source:Extended-Description}
 .
 This package provides the CLI tool.

Package: libspirv-cross-c-shared0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package provides the shared library.

Package: libspirv-cross-c-shared-dev
Architecture: any
Section: libdevel
Depends: libspirv-cross-c-shared0 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for libspirv-cross-c-shared.

## spirv-cross 2021.01.15+1.3.290.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #  2. The MIT License, found at <http://opensource.org/licenses/MIT>.
 #
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.6)
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -77,7 +77,7 @@
 find_package(Git)
 if (GIT_FOUND)
 	execute_process(
-		COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
+		COMMAND ${GIT_EXECUTABLE} describe --always --tags --dirty=+
 		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 		OUTPUT_VARIABLE spirv-cross-build-version
 		ERROR_QUIET
@@ -242,7 +242,19 @@
 		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.cpp
 		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.hpp)
 
+set(spirv-cross-abi-major 0)
+set(spirv-cross-abi-minor 61)
+set(spirv-cross-abi-patch 0)
+set(SPIRV_CROSS_VERSION ${spirv-cross-abi-major}.${spirv-cross-abi-minor}.${spirv-cross-abi-patch})
+
 if (SPIRV_CROSS_STATIC)
+	if (NOT SPIRV_CROSS_SKIP_INSTALL)
+		configure_file(
+			${CMAKE_CURRENT_SOURCE_DIR}/pkg-config/spirv-cross-c.pc.in
+			${CMAKE_CURRENT_BINARY_DIR}/spirv-cross-c.pc @ONLY)
+		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spirv-cross-c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+	endif()
+
 	spirv_cross_add_library(spirv-cross-core spirv_cross_core STATIC
 			${spirv-cross-core-sources})
 
@@ -305,14 +317,3 @@
 		target_compile_definitions(spirv-cross-c PRIVATE HAVE_SPIRV_CROSS_GIT_VERSION)
 
 		if (SPIRV_CROSS_ENABLE_GLSL)
-			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-glsl)
-			target_compile_definitions(spirv-cross-c PRIVATE SPIRV_CROSS_C_API_GLSL=1)
-		endif()
-
-		if (SPIRV_CROSS_ENABLE_HLSL)
-			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-hlsl)
-			target_compile_definitions(spirv-cross-c PRIVATE SPIRV_CROSS_C_API_HLSL=1)
-		endif()
-
-		if (SPIRV_CROSS_ENABLE_MSL)
-			target_link_libraries(spirv-cross-c PRIVATE spirv-cross-msl)

## spirv-cross 2021.01.15+1.4.304.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,9 @@
 if (${CMAKE_VERSION} VERSION_GREATER "3.0.1")
 	cmake_policy(SET CMP0048 NEW)
 endif()
+
+# Avoid error on Android NDK 27+'s CMake files
+cmake_policy(SET CMP0057 NEW)
 
 project(SPIRV-Cross LANGUAGES CXX C)
 enable_testing()
@@ -243,7 +246,7 @@
 		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.hpp)
 
 set(spirv-cross-abi-major 0)
-set(spirv-cross-abi-minor 61)
+set(spirv-cross-abi-minor 64)
 set(spirv-cross-abi-patch 0)
 set(SPIRV_CROSS_VERSION ${spirv-cross-abi-major}.${spirv-cross-abi-minor}.${spirv-cross-abi-patch})
 
@@ -314,6 +317,3 @@
 		spirv_cross_add_library(spirv-cross-c spirv_cross_c STATIC
 				${spirv-cross-c-sources})
 		target_include_directories(spirv-cross-c PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
-		target_compile_definitions(spirv-cross-c PRIVATE HAVE_SPIRV_CROSS_GIT_VERSION)
-
-		if (SPIRV_CROSS_ENABLE_GLSL)

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: spirv-cross
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>, Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/SPIRV-Cross
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-cross.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-cross

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/spirv-cross-$1\.tar\.gz/,uversionmangle=s/(\d\S+)/2021.01.15\+$1/ \
  https://github.com/KhronosGroup/SPIRV-Cross/tags (?:.*?/)vulkan-sdk[_-](\d[\d.]*)\.tar\.gz

## spirv-cross 2021.01.15+1.4.321.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #  2. The MIT License, found at <http://opensource.org/licenses/MIT>.
 #
 
-cmake_minimum_required(VERSION 3.6)
+cmake_minimum_required(VERSION 3.10)
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -246,7 +246,7 @@
 		${CMAKE_CURRENT_SOURCE_DIR}/spirv_cross_util.hpp)
 
 set(spirv-cross-abi-major 0)
-set(spirv-cross-abi-minor 64)
+set(spirv-cross-abi-minor 67)
 set(spirv-cross-abi-patch 0)
 set(SPIRV_CROSS_VERSION ${spirv-cross-abi-major}.${spirv-cross-abi-minor}.${spirv-cross-abi-patch})

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>, Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/KhronosGroup/SPIRV-Cross
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-cross.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-cross

## spirv-cross 2021.01.15+1.4.328.1

=== debian/changelog ===
spirv-cross (2021.01.15+1.4.328.1-1) unstable; urgency=medium

  * New upstream release: vulkan-sdk-1.4.328.1
  * Remove redundant "Rules-Requires-Root: no"

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Nov 2025 17:30:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Homepage: https://github.com/KhronosGroup/SPIRV-Cross
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/spirv-cross.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/spirv-cross
-Rules-Requires-Root: no
 Description: Convert SPIR-V to other shader languages
  SPIRV-Cross is a tool designed for parsing and converting SPIR-V to other
  shader languages:

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --buildsystem=cmake

## spirv-cross 2021.01.15+1.4.335.0

=== debian/changelog ===
spirv-cross (2021.01.15+1.4.335.0-1) unstable; urgency=medium

  * New upstream release: vulkan-sdk-1.4.335.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 20 Dec 2025 21:58:30 +0100
